Bug 170567 - %triggerun refers to incorrect version
%triggerun refers to incorrect version
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kbd (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
:
Depends On:
Blocks: 169623 187539
  Show dependency treegraph
 
Reported: 2005-10-12 18:05 EDT by Miloslav Trmač
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2006-0413
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-10 17:33:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miloslav Trmač 2005-10-12 18:05:09 EDT
+++ This bug was initially created as a clone of Bug #169623 +++

Description of problem:
kbd-1.08-10.1 includes the keytable service, but kbd-1.0.8-11 doesn't so a
%triggerun was added to remove the keytable service upon removal of kbd < 1.08-11:

triggerun scriptlet (using /bin/sh) -- kbd < 1.08-11
/sbin/chkconfig --del keytable

The problem is that we then built kbd-1.08-10.2 which doesn't include the
keytable service and is currently the RHEL3 shipping version of kbd (and
includes the above %triggerun)  Net result is that when upgrading from RHEL3 ->
RHEL4 the trigger fires and we get the following error:

Upgrading kbd-1.12-2.x86_64.
error reading information on service keytable: No such file or directory
error: %trigger(kbd-1.08-10.2.x86_64) scriptlet failed, exit status 1

Should probably think about releasing a new kbd version where the trigger is
modified to be:

triggerun scriptlet (using /bin/sh) -- kbd < 1.08-10.2
/sbin/chkconfig --del keytable

Version-Release number of selected component (if applicable):

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

-- Additional comment from mitr@redhat.com on 2005-09-30 09:11 EST --
This is #144434, already fixed in rawhide.  kbd-1.08-10.2 contains the same
trigger, so it would trigger on _itself_.  AFAICS there's no way to fix that
except asking the user to rpm -e --notriggers kbd.
 


-- Additional comment from jturner@redhat.com on 2005-09-30 12:25 EST --
Correct, there is on way to fix -10.2 but figured it might be worthwhile to
release an updated version of the kbd package for RHEL-3 which didn't have the
trigger.  That would help prevent problems when using anaconda to update to RHEL4.

-- Additional comment from mitr@redhat.com on 2005-09-30 12:39 EST --
(Bug 144434, comment 12 says even an upgrade wouldn't get rid of the trigger.
I don't quite believe that, but if it is so, we could only fix updates from the
new version, that never had -10.2.)

But yes, we can fix at least upgrades from fixed RHEL3 to fixed RHEL4 (the same
change is missing in RHEL4).


-- Additional comment from laroche@redhat.com on 2005-10-04 06:51 EST --
Triggers are not kept forever, so releasing a fixed package should also
fix this update problem.

greetings,

Florian La Roche


-- Additional comment from jturner@redhat.com on 2005-10-04 08:25 EST --
Yeah, my intent was to get a package with the correct trigger released so that
folks that updated from the new RHEL3 package to RHEL4 wouldn't hit the "bad"
trigger.
Comment 7 Red Hat Bugzilla 2006-05-10 17:33:26 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0413.html

Note You need to log in before you can comment on or make changes to this bug.